Page MenuHomePhabricator

[Attributor] Function seed allow list
ClosedPublic

Authored by kuter on Aug 18 2020, 12:44 AM.

Details

Summary
  • Adds a command line option to seed only selected functions.
  • Makes seed allow listing exclusive to assertions enabled builds.

Diff Detail

Event Timeline

kuter created this revision.Aug 18 2020, 12:44 AM
Herald added a reviewer: homerdin. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
kuter requested review of this revision.Aug 18 2020, 12:44 AM

Maybe the commit message could be a bit more descriptive?

Also clang-tidy warnings should be addressed.

llvm/test/Transforms/Attributor/allow_list.ll
5

Maybe a negative test? Wrong function name and/or empty list?

typo in the commit message. Can we make sure this seed list checks are not expensive or put them under a macro for assertion versions only?

kuter updated this revision to Diff 286923.Aug 20 2020, 5:06 PM
  • Add negative test.
  • Fix clang-tidy error.
  • Make seed allow list only enabled for debug builds (assertions turned on).
kuter retitled this revision from [Attributor] Fucntion seed allow list to [Attributor] Function seed allow list.Aug 20 2020, 5:07 PM
kuter edited the summary of this revision. (Show Details)
kuter added inline comments.Aug 20 2020, 5:09 PM
llvm/lib/Transforms/IPO/Attributor.cpp
101

this flag is also used by the code that defines --debug. You don't need to have debug info enabled
for this flag to be defined. Enabling assertions should be enough.

kuter marked an inline comment as done.Aug 20 2020, 5:10 PM
sstefan1 accepted this revision.Aug 21 2020, 1:25 AM

LGTM.

This revision is now accepted and ready to land.Aug 21 2020, 1:25 AM
This revision was automatically updated to reflect the committed changes.